<?php 
header('Content-Type: application/json');
$json = file_get_contents('php://input');
$authHeader = "Bearer T4A05p+kzOhGpf9ujZi4jevUoonGsMMD1uZYSO7PZR0=";
$token = trim(str_replace("Bearer", "", $authHeader));
$key = base64_decode($token);
echo $timestamp = time();
$payload = $json;
$message = "$timestamp.$payload";
echo "<br>";
echo $signature = hash_hmac('sha256', $message, $key);
?>